PluginDescriptorGenerator (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.plugins.publishing

## [Groovy] Class PluginDescriptorGenerator

- org.codehaus.groovy.grails.plugins.publishing.PluginDescriptorGenerator

- Generates the plugin.xml descriptor.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `ARTEFACT_PATTERN` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `org.springframework.util.AntPathMatcher` | `antPathMatcher`
    `BuildSettings` | `buildSettings`
    `java.util.List` | `excludes`
    `java.lang.String` | `pluginName`
    `Resource[]` | `resourceList`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PluginDescriptorGenerator (BuildSettings buildSettings, java.lang.Object pluginName, java.util.List<Resource> resourceList)`
    `PluginDescriptorGenerator (BuildSettings buildSettings, java.lang.String pluginName, Resource[] resourceList)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `generatePluginXml(java.lang.Object pluginProps, java.io.Writer target)` Generates the plugin.xml descriptor to the given target writer
    `void` | `generatePluginXml(java.lang.Object pluginProps, groovy.util.IndentPrinter target)` Generates the plugin.xml descriptor to the given target writer
    `protected void` | `generatePluginXml(java.lang.Object pluginProps, groovy.xml.MarkupBuilder xml)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String ARTEFACT_PATTERN

  - ### Property Detail

    - #### org.springframework.util.AntPathMatcher antPathMatcher

    - #### BuildSettings buildSettings

    - #### java.util.List excludes

    - #### java.lang.String pluginName

    - #### Resource[] resourceList

  - ### Constructor Detail

    - #### PluginDescriptorGenerator(BuildSettings buildSettings, java.lang.Object pluginName, java.util.List<Resource> resourceList)

    - #### PluginDescriptorGenerator(BuildSettings buildSettings, java.lang.String pluginName, Resource[] resourceList)

  - ### Method Detail

    - #### void generatePluginXml(java.lang.Object pluginProps, java.io.Writer target)

      Generates the plugin.xml descriptor to the given target writer

      Parameters:
        `pluginProps` - The plugin properties object. Typically a map of properties
        `target` - The target writer

    - #### void generatePluginXml(java.lang.Object pluginProps, groovy.util.IndentPrinter target)

      Generates the plugin.xml descriptor to the given target writer

      Parameters:
        `pluginProps` - The plugin properties object. Typically a map of properties
        `target` - The target writer

    - #### protected void generatePluginXml(java.lang.Object pluginProps, groovy.xml.MarkupBuilder xml)